Version: 0.4.15.145
Release: 1.amherst

# HINT:
# rpmbuild -ba iscsitarget.spec -D "kernel 2.6.9-42.0.3.ELhugemem"
# rpmbuild -ba iscsitarget.spec -D "kernel 2.6.9-42.0.3.ELsmp"
# rpmbuild -ba iscsitarget.spec -D "kernel 2.6.9-42.0.3.EL"

# Generate version information for kernel module
%{!?kernel:	%define kernel %(uname -r)}

%define kver  %(echo %{kernel} | sed -e 's/smp//' -e 's/bigmem//' -e 's/enterprise//' -e 's/hugemem//')
%define ktype %(echo kernel-%{kernel}|sed -e 's/%{kver}//' -e 's/-$//')
%define krel  %(echo %{kver} | sed -e 's/-/_/g')

Summary: iSCSI Enterprise Target 
Name: iscsitarget
License: GPL
Group: System Environment/Daemons
URL: http://sourceforge.net/projects/iscsitarget/
Source0: %{name}-%{version}.tar.gz
Packager: Steffen Plotner <swplotner@amherst.edu>

# Amherst Patches
Patch200: iet-proc_vpd.patch
Patch201: iet-proc_reservation.patch
Patch202: iet-init.patch
Patch203: iet-version.patch
Patch204: iet-max-incoming-conn.patch

BuildRequires: kernel-devel = %{kver}, gcc, /usr/bin/install
Requires: %{name}-kernel-module = %{version}

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
iSCSI Enterprise Target

Added several /proc/net/iet views (vpd, reservation)

%package %{ktype}
Summary: iSCSI Enterprise Target kernel module
Group: System Environment/Kernel
Release: %{release}_%{krel}
Requires: %{ktype} = %{kver}
Provides: %{name}-kernel-module

%description %{ktype}
iSCSI Enterprise Target kernel module

%prep
#echo "kernel is:"
#echo %kernel
#exit 1
%setup
make patch
%patch200 -p2
%patch201 -p2
%patch202 -p2
%patch203 -p2
%patch204 -p2

%build
#make KERNELSRC=/lib/modules/%{kernel}/build
make KSRC=/lib/modules/%{kernel}/build

%install
%{__rm} -rf %{buildroot}

#make install KERNELSRC=/lib/modules/%{kernel}/build DISTDIR=%{buildroot}
make install KSRC=/lib/modules/%{kernel}/build DISTDIR=%{buildroot}
# the make above is doing too much...
%{__rm} -f %{buildroot}/lib/modules/%{kernel}/modules.*
%{__rm} -fr %{buildroot}/usr/share/doc/iscsitarget

install -m 644 -D etc/ietd.conf %{buildroot}/etc/ietd.conf
install -m 644 -D etc/initiators.allow %{buildroot}/etc/initiators.allow
install -m 644 -D etc/initiators.deny %{buildroot}/etc/initiators.deny
install -m 644 -D doc/manpages/ietd.8 %{buildroot}%{_mandir}/man8/ietd.8
install -m 644 -D doc/manpages/ietd.conf.5 %{buildroot}%{_mandir}/man5/ietd.conf.5

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/depmod %{kernel} -a

%preun 
modprobe -r -q --set-version %{kernel} iscsi_trgt.ko
/sbin/depmod %{kernel} -a

%files
%defattr(-, root, root, 0755)
/usr/sbin/*
/etc/init.d/*
%defattr(-, root, root, 0644)
%config(noreplace) /etc/ietd.conf
%config(noreplace) /etc/initiators.allow
%config(noreplace) /etc/initiators.deny
%doc COPYING README README.*
%{_mandir}/man?/*

%files %{ktype}
%defattr(-, root, root, 0744)
/lib/modules/%{kernel}/kernel/iscsi/iscsi_trgt.ko

%changelog
* Sat Dec 22 2007 Steffen Plotner <swplotner@amherst.edu>
- modified to support svn version 145

* Wed Jan 10 2007 Steffen Plotner <swplotner@amherst.edu>
- changed spec file to support different kernel versions (KERNELSRC -> KSRC)

* Wed Dec 6 2006 Steffen Plotner <swplotner@amherst.edu>
- using quilt we have incremental patch control

* Wed Nov 1 2006 Steffen Plotner <swplotner@amherst.edu>
- added code for SCSI VPD Page 0x80 disk serial number (using ScsiId field) (vmware esx 3 compatibility)

* Sun Oct 23 2006 Steffen Plotner <swplotner@amherst.edu>
- created patch for iscsitarget-0.4.14 svn + reservation (reserve, release) commands for vmware esx compatibility

* Fri Sep 23 2005 Bastiaan Bakker <bastiaan.bakker@lifeline.nl> - 0.4.12-4
- fixed modprobe -r 'FATAL' message
- run depmod with correct kernel version

* Fri Sep 23 2005 Bastiaan Bakker <bastiaan.bakker@lifeline.nl> - 0.4.12-3
- added config files
- set kernel module file permissions to 744
- fixed provides/requires of kernel module
- removed BuildArch restriction

* Thu Sep 22 2005 Bastiaan Bakker <bastiaan.bakker@lifeline.nl> - 0.4.12-2
- create separate subpackage for kernel module
- include man pages
- added kernel compatibility patch for kernels < 2.6.11

* Wed Aug 03 2005 Bastiaan Bakker <bastiaan.bakker@lifeline.nl>
- First version.
